Call Forwarding
All operations require authentication.
List DDI numbersProduction
List DDI numbers. Returns the DDI numbers of the billing account. A DDI number forwards calls to a destination.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ddi \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a DDI numberProduction
Get a DDI number. Returns the DDI (direct dial-in) number: feature type and description. The destination is changed with the changeDestination call.
Path parameters
The name of your billingAccount
Response
Phone number
All existing types of line or alias
aiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxmlAll existing types
aliaslineExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ddi/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "destination": "string", "featureType": "aiAgent", "serviceName": "string", "serviceType": "alias"}
Update a DDI numberProduction
Update a DDI number. Updates the description of the DDI number. The destination is changed with the changeDestination call.
Path parameters
The name of your billingAccount
Request body (required)
Phone number
All existing types of line or alias
aiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxmlAll existing types
aliaslineResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ddi/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"Change the DDI destinationProduction
Change the DDI destination. Changes the number calls to the DDI number are forwarded to. Returns the task that performs it.
Path parameters
The name of your billingAccount
Request body (required)
The destination
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ddi/ {serviceName}/ changeDestination \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
List redirect numbersProduction
List redirect numbers. Returns the redirect numbers of the billing account. A redirect number forwards calls to a destination.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ redirect \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a redirect numberProduction
Get a redirect number. Returns the redirect number: feature type and description. The destination is changed with the changeDestination call.
Path parameters
The name of your billingAccount
Response
Phone number
All existing types of line or alias
aiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxmlAll existing types
aliaslineExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ redirect/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "destination": "string", "featureType": "aiAgent", "serviceName": "string", "serviceType": "alias"}
Update a redirect numberProduction
Update a redirect number. Updates the description of the redirect number. The destination is changed with the changeDestination call.
Path parameters
The name of your billingAccount
Request body (required)
Phone number
All existing types of line or alias
aiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxmlAll existing types
aliaslineResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ redirect/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"Change the redirect destinationProduction
Change the redirect destination. Changes the number calls are forwarded to. Returns the task that performs it.
Path parameters
The name of your billingAccount
Request body (required)
The destination
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ redirect/ {serviceName}/ changeDestination \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}